/*
 * Created by SharpDevelop.
 * User: Home
 * Date: 11/16/2024
 * Time: 11:23 AM
 * 
 * To change this template use Tools | Options | Coding | Edit Standard Headers.
 */
using System;

namespace Pecina
{
	class Program
	{
		public static void Main(string[] args)
		{
			Console.Write("Unesite broj stalaktita i visinu Perice redom (razdvojite razmakom): ");
			string[] niz = Console.ReadLine().Split();
			
			int N = int.Parse(niz[0]);
			int L = int.Parse(niz[1]);
			
			Console.Write("Unesite redom visine " + N + " stalaktita (razdvojite razmakom): ");
			string[] niz1 = Console.ReadLine().Split();
			
			int i = 0, br = 1;
			while(i < N)
			{
				if(int.Parse(niz1[i]) > L)
				{
					br++;
					i++;
					if(i == N)
					{
						Console.WriteLine("-1");
						break;
					}
				}
				else
				{
					Console.WriteLine(br);
					break;
				}
			}
			
			// TODO: Implement Functionality Here
			
			Console.Write("Press any key to continue . . . ");
			Console.ReadKey(true);
		}
	}
}